Update tournament
curl --request PUT \
--url https://ts.playservices.tech/api/api/tournaments/{tournamentId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"scheduled_start": "2023-11-07T05:31:56Z",
"max_players": 123,
"min_players": 123
}
'import requests
url = "https://ts.playservices.tech/api/api/tournaments/{tournamentId}"
payload = {
"name": "<string>",
"scheduled_start": "2023-11-07T05:31:56Z",
"max_players": 123,
"min_players": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
scheduled_start: '2023-11-07T05:31:56Z',
max_players: 123,
min_players: 123
})
};
fetch('https://ts.playservices.tech/api/api/tournaments/{tournamentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tournament": {
"tournamentId": "12345",
"name": "Daily Championship",
"gameSlug": "crash-classic",
"scheduledStart": "2023-11-07T05:31:56Z",
"actualStartTime": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"maxPlayers": 100,
"currentPlayers": 87,
"entryFee": 10,
"currency": "USD",
"prizePool": {
"totalAmount": 870,
"currency": "USD",
"guaranteedPrize": 500,
"distribution": {}
},
"gameConfig": {},
"createdAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Casino Integration - Tournaments
Update tournament
Update tournament configuration (only before tournament starts)
PUT
/
api
/
tournaments
/
{tournamentId}
Update tournament
Authorizations
Operator API key with role-based permissions (tournaments.read, players.write, etc.)
Path Parameters
Unique tournament identifier
Example:
"12345"
Body
application/json
Response
Tournament updated
Show child attributes
Show child attributes
⌘I

